; ---purpose---
; Access elements of nested lists.

; ---args---
; X - list

; ---keywords---
; CAAR, CADR, CDAR, CDDR
; lists, selector, decomposition

; ---see-also---
; CAAAAR, CAAAR

; ---example---
; (CADR '(FIRST SECOND THIRD FOURTH FIFTH SIXTH SEVENTH EIGHTH))

; ---code---
(DEFUN CAAR (X) (CAR (CAR X)))
(DEFUN CADR (X) (CAR (CDR X)))
(DEFUN CDAR (X) (CDR (CAR X)))
(DEFUN CDDR (X) (CDR (CDR X)))
