; ---purpose---
; Constants for represention of decimal digits.
; These constants are used to form natural and
; integer numbers used by arithmetic functions.
; The constants + and - are used for signs.
; For example, the natural number 157 would be
; written as '#157. The integer 157 would be
; represented by '#+157 and -5 would be written
; as '#-5.

; ---keywords---
; decimal digits, identity, numbers, digits, signs

; ---code---
(DEFINE DIGITS '#0123456789)

(DEFINE + '+)
(DEFINE - '-)

(DEFINE 0 '0)
(DEFINE 1 '1)
(DEFINE 2 '2)
(DEFINE 3 '3)
(DEFINE 4 '4)
(DEFINE 5 '5)
(DEFINE 6 '6)
(DEFINE 7 '7)
(DEFINE 8 '8)
(DEFINE 9 '9)
