; ---purpose---
; Check if two decimal integer numbers are in descending
; order. Return *T*, if A>B and otherwise *F*. Numbers are
; represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; IGREATERP function, greater than, ordering
; relation, comparison, predicate, integer

; ---see-also---
; DIGITS, GREATERP, ILESSP, EQUAL

; ---example---
; (IGREATERP '#-55 '#-77)

:C LIB/ILESSP.L

; ---code---
(DEFUN IGREATERP (A B) (ILESSP B A))
