; ---purpose---
; Check if two decimal integer numbers are not in ascending
; order. Return *T*, if A<=B (A not greater than B) and otherwise
; *F*. Numbers are represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; INGREATERP function, not greater than, less than or equal to,
; ordering, relation, comparison, predicate, natural

; ---see-also---
; DIGITS, NGREATERP, INLESSP, EQUAL

; ---example---
; (INGREATERP '#-7 '#-5)

:C LIB/IGREATERP.L

; ---code---
(DEFUN INGREATERP (A B) (COND ((IGREATERP A B) *F*) (T T)))
