; ---purpose---
; Check if an expression is a literal (non-NIL) atom.

; ---args---
; X - expression

; ---keywords---
; LITATOM function, atom, literal atom, symbol, predicate

; ---example---
; (LITATOM 'XYZ)

:C LIB/LOGAND.L
:C LIB/LOGNOT.L

; ---code---
(DEFUN LITATOM (X) (LOGAND (ATOM X) (LOGNOT (NULL X))))

