; ---purpose---
; Convert a positive integer or natural number
; to a natural number.

; ---args---
; A - list of digits with optional plus sign

; ---keywords---
; NATURAL function, numeric, numbers, digits, natural, integer

; ---see-also---
; DIGITS, INTEGER, NATURALP, NUMBERP

; ---example---
; (NATURAL '#+567)

:C LIB/DIGITS.L

; ---code---
(DEFUN NATURAL(A)
	(COND ((EQ (CAR A) '+) (CDR A))
		((EQ (CAR A) '-) (BOTTOM 'NATURAL))
		(T A)))
