; ---purpose---
; Check if two natural decimal numbers are not in descending
; order. Return *T*, if A<=B (A not greater than B) and otherwise
; *F*. Numbers are represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; NGREATERP function, not greater than, less than or equal to,
; ordering, relation, comparison, predicate, natural

; ---see-also---
; DIGITS, INGREATERP, NLESSP, EQUAL

; ---example---
; (NGREATERP '#5 '#5)

:C LIB/GREATERP.L

; ---code---
(DEFUN NGREATERP (A B) (COND ((GREATERP A B) *F*) (T T)))
