; ---purpose---
; Check if an expression is a pair (not an atom).

; ---args---
; X - expression

; ---keywords---
; PAIRP function, atom, non-atom, list, pair

; ---see-also---
; LISTP, PAIR

; ---example---
; (PAIRP '(A.B))

; ---code---
(DEFUN PAIRP (X) (COND ((ATOM X) *F*) (T T)))
