; ---purpose---
; Divide two natural numbers. Return their quotient.
; Numbers are represented by lists of digits.

; ---args---
; A - list of digits (dividend)
; B - list of digits (divisor)

; ---keywords---
; QUOTIENT function, quotient, divide, division
; arithmetics, natural

; ---see-also---
; DIGITS, IQUOTIENT, DIVIDE, REMAINDER, PLUS, DIFFERENCE
; TIMES

; ---example---
; (QUOTIENT '#100 '#8)

(DEFINE QUOTIENT T)

:C LIB/DIVIDE.L

; ---code---
(DEFUN QUOTIENT (A B) (CAR (DIVIDE A B)))
