; ---purpose---
; Solve the 'Towers of Hanoi'.

; ---args---
; N - list containing one member per disk

; ---keywords---
; HANOI function, Towers of Hanoi, example

; ---example---
; (HANOI '#IIIII)

:L LIB/APPEND.L

; ---code---
(DEFUN HANOI (N)
	(LABEL ((_HANOI (LAMBDA (FROM TO VIA N)
			(COND ((NULL N) NIL)
				(T (APPEND (_HANOI FROM VIA TO (CDR N))
					(APPEND (LIST (LIST FROM TO))
						(_HANOI VIA TO FROM (CDR N)))))))))
		(_HANOI 'A 'B 'C N)))
