; ---purpose---
; Convert a natural or integer number to an integer.

; ---args---
; A - list of digits

; ---keywords---
; INTEGER function, numeric, numbers, digits, natural, integer

; ---see-also---
; DIGITS, NATURAL, NATURALP, NUMBERP

; ---example---
; (INTEGER '#567)

:C LIB/DIGITS.L

; ---code---
(DEFUN INTEGER(A)
	(COND ((EQ (CAR A) '+) A)
		((EQ (CAR A) '-) A)
		(T (CONS '+ A))))
