; ---purpose---
; Check if a number is positive.

; ---args---
; X - list of digits

; ---keywords---
; PLUSP function, positive value, sign, predicate
; integer, natural

; ---see-also---
; DIGITS, MINUSP, ZEROP, NUMBERP, MINUS, ABS

; ---example---
; (PLUSP '#567)

:C LIB/DIGITS.L
:C LIB/LOGNOR.L
:C LIB/ZEROP.L

; ---code---
(DEFUN PLUSP (X) (LOGNOR (EQ (CAR X) '-) (ZEROP X)))
