; ---purpose---
; Reverse the order of members of a list.

; ---args---
; A - list to reverse

; ---keywords---
; REVERSE function, lists, reverse, ordering

; ---see-also---
; APPEND, LENGTH, MAP, REDUCE

; ---example---
; (REVERSE '(FIRST SECOND THIRD))

;C LIB/APPEND.L

; ---model---
; (DEFUN REVERSE (A)
; 	(COND ((NULL A) A)
; 		(T (APPEND (REVERSE (CDR A)) (LIST (CAR A))))))

; ---code---
(DEFUN REVERSE (A)
	(LABEL ((REV (LAMBDA (A B)
		(COND ((NULL A) B)
			(T (REV (CDR A) (CONS (CAR A) B)))))))
	(REV A NIL)))
