; ---purpose---
; Find the successor of a decimal digit.
; -
; (SUCC 9) => NIL

; ---args---
; X - digit

; ---keywords---
; SUCC function, successor, numbers, digits

; ---see-also---
; DIGITS, PRED

; ---example---
; (SUCC '3)

:C LIB/DIGITS.L

; ---code---
(DEFUN SUCC (X)
	(COND ((EQ X 0) 1)
		((EQ X 1) 2)
		((EQ X 2) 3)
		((EQ X 3) 4)
		((EQ X 4) 5)
		((EQ X 5) 6)
		((EQ X 6) 7)
		((EQ X 7) 8)
		((EQ X 8) 9)
		((EQ X 9) NIL)
		(T (BOTTOM 'SUCC:TYPE))))
